Read about our upcoming Code of Conduct on this issue

Commit b15301c7 authored by Georges Racinet's avatar Georges Racinet 🦑
Browse files

Heptapod CI: apply changes in pipeline as in upstream

Golang < 1.16 is not supported any more ; 1.17 appears in the build.
parent f23dd26963ee
Pipeline #29043 passed with stage
in 4 minutes and 24 seconds
......@@ -38,20 +38,6 @@
script:
- make verify test
go:1.14:
extends: .test
image: golang:1.14
after_script:
- make coverage
coverage: '/\d+.\d+%/'
go:1.15:
extends: .test
image: golang:1.15
after_script:
- make coverage
coverage: '/\d+.\d+%/'
go:1.16:
extends: .test
image: golang:1.16
......@@ -59,5 +45,12 @@
- make coverage
coverage: '/\d+.\d+%/'
go:1.17:
extends: .test
image: golang:1.17
after_script:
- make coverage
coverage: '/\d+.\d+%/'
race:
extends: .test
......@@ -62,5 +55,5 @@
race:
extends: .test
image: golang:1.16
image: golang:1.17
script:
- make test_golang_race
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment